<?php
/**
 * @file
 * ocio_landing_page.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function ocio_landing_page_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  if ($module == "ds" && $api == "ds") {
    return array("version" => "1");
  }
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  if ($module == "panelizer" && $api == "panelizer") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_node_info().
 */
function ocio_landing_page_node_info() {
  $items = array(
    'ocio_landing_page' => array(
      'name' => t('Landing Page'),
      'base' => 'node_content',
      'description' => t('Panelized Landing page content type to be used for section fronts and other special pages. '),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}
